﻿-- Author      : Kurapica
-- Create Date : 7/16/2008 15:10
     
-- DressUpModel
do
	-- Check Version
	local version = 2
	if not IGAS:RegisterFile("IGAS.GUI.Widget.DressUpModel", version) then
		return
	end

    local CreateFrame = CreateFrame
    
	local _WidgetName = "DressUpModel"
    local _Base = "PlayerModel"
   	
	-- ScriptType
	local _ScriptType = {
	}
    
	-- FuncProxy
	local _FuncProxy = {
	    -- DressUpModel:Dress() - Set the model to reflect the character's current inventory. 
		["Dress"] = function(self, ...)
			return self.__UI:Dress(...)
		end,
		-- DressUpModel:TryOn("item") - Add the specified item to the model. 
		["TryOn"] = function(self, ...)
			return self.__UI:TryOn(...)
		end,
		-- DressUpModel:Undress() - Set the model to reflect the character without inventory. 
		["Undress"] = function(self, ...)
			return self.__UI:Undress(...)
		end,
    }
    
	-- Property
	local _Property = {
	}
	
    -- New      
    local _New = function(_parent,inheritFrame)
        -- New Frame
		return CreateFrame(_WidgetName,nil,IGAS:GetUI(_parent),inheritFrame)
    end
	
    local _WidgetInfo = {
        ["WidgetName"] = _WidgetName,
        ["Base"] = _Base,
        ["FuncProxy"] = _FuncProxy,
        ["Property"] = _Property,
        ["ScriptType"] = _ScriptType,
        ["New"] = _New,
    }
    
    IGAS:NewWidget(_WidgetInfo, true, true)
end