﻿-- Author      : Kurapica
-- Create Date : 7/16/2008 11:05
     
-- Cooldown
do
	-- Check Version
	local version = 2
	if not IGAS:RegisterFile("IGAS.GUI.Widget.Cooldown", version) then
		return
	end

    local CreateFrame = CreateFrame
    
	local _WidgetName = "Cooldown"
    local _Base = "Frame"
   	    
	-- FuncProxy
	local _FuncProxy = {
		-- Cooldown:SetCooldown(Start, Duration) 
		["SetCooldown"] = function(self, ...)
			return self.__UI:SetCooldown(...)
		end,
		-- Cooldown:SetReverse(boolean) 
		["SetReverse"] = function(self, ...)
			return self.__UI:SetReverse(...)
		end,
    }
    
	-- Property
	local _Property = {
    }
	
    -- New  
    local _New = function(_parent,inheritFrame)
        -- New Frame
		return CreateFrame(_WidgetName,nil,IGAS:GetUI(_parent),inheritFrame)
    end
	
    local _WidgetInfo = {
        ["WidgetName"] = _WidgetName,
        ["Base"] = _Base,
        ["FuncProxy"] = _FuncProxy,
        ["Property"] = _Property,
        ["New"] = _New,
    }
    
    IGAS:NewWidget(_WidgetInfo, true, true)
end