﻿-- Author      : Kurapica
-- Create Date : 7/16/2008 15:05
     
-- LootButton
do
	-- Check Version
	local version = 2
	if not IGAS:RegisterFile("IGAS.GUI.Widget.LootButton", version) then
		return
	end

    local CreateFrame = CreateFrame
    
	local _WidgetName = "LootButton"
    local _Base = "Button"
	
	-- ScriptType
	local _ScriptType = {
	}
    
	-- FuncProxy
	local _FuncProxy = {     
		-- LootButton:SetSlot(index) - Set which the item to loot if the button is clicked. 
		["SetSlot"] = function(self, ...)
			return self.__UI:SetSlot(...)
		end,
    }
    
	-- Property
	local _Property = {
    }
	
    -- New      
    local _New = function(_parent,inheritFrame)
        -- New Frame
		return CreateFrame(_WidgetName,nil,IGAS:GetUI(_parent),inheritFrame)
    end
	
    local _WidgetInfo = {
        ["WidgetName"] = _WidgetName,
        ["Base"] = _Base,
        ["FuncProxy"] = _FuncProxy,
        ["Property"] = _Property,
        ["ScriptType"] = _ScriptType,
        ["New"] = _New,
    }
    
    IGAS:NewWidget(_WidgetInfo, true, true)
end