﻿-- Author      : Kurapica
-- Create Date : 7/16/2008 15:06
     
-- PlayerModel
do
	-- Check Version
	local version = 2
	if not IGAS:RegisterFile("IGAS.GUI.Widget.PlayerModel", version) then
		return
	end

    local CreateFrame = CreateFrame
    
	local _WidgetName = "PlayerModel"
    local _Base = "Model"
	
	-- ScriptType
	local _ScriptType = {
	}
    
	-- FuncProxy
	local _FuncProxy = {
		-- PlayerModel:RefreshUnit() 
		["RefreshUnit"] = function(self, ...)
			return self.__UI:RefreshUnit(...)
		end,
	    -- PlayerModel:SetCreature(CreatureId) 
		["SetCreature"] = function(self, ...)
			return self.__UI:SetCreature(...)
		end,
	    -- PlayerModel:SetRotation(rotationRadians) 
		["SetRotation"] = function(self, ...)
			return self.__UI:SetRotation(...)
		end,
	    -- PlayerModel:SetUnit("unitId") 
		["SetUnit"] = function(self, ...)
			return self.__UI:SetUnit(...)
		end,
    }
    
	-- Property
	local _Property = {
	}
	
    -- New
    local _New = function(_parent,inheritFrame)
        -- New Frame
		return CreateFrame(_WidgetName,nil,IGAS:GetUI(_parent),inheritFrame)
    end
	
    local _WidgetInfo = {
        ["WidgetName"] = _WidgetName,
        ["Base"] = _Base,
        ["FuncProxy"] = _FuncProxy,
        ["Property"] = _Property,
        ["ScriptType"] = _ScriptType,
        ["New"] = _New,
    }
    
    IGAS:NewWidget(_WidgetInfo, true, true)
end